#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		locver	4.0
#-----------------------------------------------------------------------------
Name		:	twinkle
Version		:	1.10.3
Release		:	17.0.10.rel%{?dist}
Summary		:	SIP-based VoIP client
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/LubosD/twinkle

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
#BuildRequires	:	bcg729 <= 1.0.1
BuildRequires	:	ccrtp
BuildRequires	:	libilbc
BuildRequires	:	libsndfile
BuildRequires	:	libxml2
BuildRequires	:	libzrtpcpp
BuildRequires	:	readline
BuildRequires	:	mesa-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtdeclarative-devel
BuildRequires	:	speex
BuildRequires	:	speexdsp
BuildRequires	:	ucommon

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a SIP-based VoIP client.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-console
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/lang/%{name}_*.qm
%{_datadir}/%{name}/providers.csv
%{_datadir}/%{name}/ringback.wav
%{_datadir}/%{name}/ringtone.wav
%{_datadir}/%{name}/%{name}*.png
%{_mandir}/man1/%{name}.1.gz
#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

%post
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

CFLAGS="-Wno-expansion-to-defined"			\
CMAKE_CXX_FLAGS="$CMAKE_CXX_FLAGS -fpermissive"		\
cmake							\
	-B _bld						\
	-S .						\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D WITH_QT5=ON					\
	-D WITH_ALSA=ON					\
	-D WITH_ZRTP=ON					\
	-D WITH_G729=OFF				\
	-D WITH_SPEEX=ON				\
	-D WITH_ILBC=OFF				\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
